body {
  margin: 0;
  font-family: Arial, sans-serif;
  /* background-image: url("assets/images/bg.svg"); */
}

.container-big {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px 0px 20px 0px;
}

.container {
  padding: 40px;
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
  gap: 50px;
  width: 100%;
  max-width: 1300px;
}

.logo-with-text {
  width: 200px;
  margin-bottom: 30px;
}
.gapasset {
  display: flex;
  flex-direction: column;
  gap: 15px;
  gap: 15px;
}

.assets {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 15px;
}
.icon-assets {
  width: 140px;
  object-fit: contain;
}

/* LOGIN CARD */
.login-box {
  background: #ffffff;
  /* padding: 0px 40px 0px 40px; */

  width: 380px;
  
  /* box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15); */
}

.title {
  text-align: start;
  margin-bottom: 10px;
}

.title .logo {
  width: 90px;
  display: block;
  margin: 0 auto 10px auto;
}

.line {
  margin-top: 10px;
  /* margin-bottom: 10px; */
  width: 100%;
  height: 1.5px;
  background-color: #e3e1e1;
}

h1 {
  font-size: 20px;
  margin: 0;
}

/* FORM FIELD */
.field {
  /* margin-bottom: 18px; */
  width: 100%;
}

.wrap-label {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 6px;
}

.icon-label {
  width: 20px;
  height: 20px;
  object-fit: contain;
}

.wrap-label label {
  font-size: 14px;
  font-weight: 600;
}

.input {
  width: 88%;
  padding: 12px 12px 12px 30px;
  font-size: 15px;
  border: 2px solid #e3e1e1;
  border-radius: 2px;
  outline: none;
  transition: all 0.2s ease;
  margin-top: 10px;
}

.input:focus {
  border-color: #7db8ff;
  box-shadow: 0 0 6px rgba(125, 184, 255, 0.4);
}

.btn {
  width: 100%;
  padding: 15px;
  font-size: 16px;
  background: #2596be;
  border-radius: 2px;
  border: none;
  cursor: pointer;
  font-weight: 600;
  /* margin-top: 20px; */
    transition: 0.2s ease;
}

.btn:hover{
  background: #1c86ac;
}
.partner {
  position: fixed;
  bottom: 10px;
  right: 30px;
  display: flex;
  align-items: center;
  gap: 25px;
  flex-wrap: nowrap;
}

.partner-img {
  width: 120px;
  object-fit: contain;
}
.partner-aws {
  width: 40px;
  object-fit: contain;
}
.partner-img-cbn {
  width: 85px;
  margin-top: -5px;
  object-fit: contain;
}

/* Bottom Footer */

.footer-bottom {
  padding-top: 20px;
  padding-bottom: 20px;
  border-top: 1px solid rgba(255, 255, 255, 0.2); /* kalau mau ada garis */
  text-align: center;
  background: #182848;
}

.text-foot {
  font-size: 14px; /* sesuaikan kalau kemarin beda */
  margin: 0;
  color: #ffffff; /* kalau background gelap */
}

/* remember me */

.remember-wrapper {
  margin: 14px 0;
}

.remember-label {
  display: flex;
  align-items: center;
  cursor: pointer;
  font-size: 13px;
  color: #808285;
  gap: 8px;
  transition: 0.2s ease;
}

.remember-checkbox {
  display: none;
}

.checkmark {
  width: 13px;
  height: 13px;
  border: 2px solid #bfc2c8;
  border-radius: 4px;
  display: inline-block;
  position: relative;
  transition: all 0.2s ease;
}

.remember-label:hover .checkmark {
  border-color: #1f3c6d;
  background-color: rgba(24, 40, 72, 0.1);
  transform: scale(1.05);
}

.remember-checkbox:checked + .checkmark {
  background-color: #182848;
  border-color: #182848;
}

.remember-checkbox:checked + .checkmark::after {
  content: "";
  position: absolute;
  left: 4px;
  top: 0px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}

/* forgot */
.forgot-password {
  font-size: 12px;
  color: #808285;
  transition: 0.2s ease;
  margin-top: 10px;
  cursor: pointer;
}

.forgot-password:hover {
  color: #353536;
}

/* CTA */

.cta-section {
  position: relative;
  background: #182848;
  color: white;
  overflow: hidden;
  margin-bottom: 1.1px;
}

/* Background Shapes */
.cta-bg-desktop,
.cta-bg-mobile {
  position: absolute;
  inset: 0;
  background: #1f3c6d;
  margin-bottom: -40px;
  height: 1000px;
}

.cta-bg-desktop {
  display: none;
  clip-path: polygon(0 33%, 100% 25%, 100% 65%, 0 75%);
}

.cta-bg-mobile {
  clip-path: polygon(0 30%, 100% 25%, 100% 65%, 0 75%);
}

/* Container */
.cta-container {
  position: relative;
  max-width: 1300px;
  margin: auto;
  padding: 20px 24px;
  display: flex;
  flex-direction: column;
  gap: 70px;
}

/* Row */
.cta-row {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 20px;
  align-items: center;
}

.cta-row.reverse {
  flex-direction: column;
  margin-top: 20px;
}

/* Text */
.cta-text h2 {
  font-size: 32px;
  font-weight: 600;
  margin-top: 0;
  margin-bottom: 20px;
}

.cta-text p {
  font-size: 16px;
  color: #d1d5db;
}

.text-right {
  text-align: right;
}

/* Button */
.cta-button {
  background: #e5e7eb;
  color: black;
  padding: 16px 16px;
  border-radius: 6px;
  border: none;
  min-width: 180px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  font-size: 14px;
  transition: 0.3s ease;
}

.cta-button:hover {
  opacity: 0.85;
}

.arrow {
  font-size: 16px;
}

/* input icon */

.input-wrapper {
  position: relative;
  width: 100%;
}

.input-icon {
  position: absolute;
  left: 12px;
  top: 50%;
  margin-top: 1px;
  transform: translateY(-50%);
  width: 18px;
  height: 18px;
  pointer-events: none;
  opacity: 70%;
}

  .cta-row {

    align-items: flex-start;
    
  }

  .cta-row.reverse {
    align-items: flex-end;
  }



/* Desktop */
@media (min-width: 768px) {
  .cta-bg-desktop {
    display: block;
    height: 600px;
  }

  .cta-bg-mobile {
    display: none;
  }

  .cta-container {
    padding: 40px 24px;
    gap: 48px;
  }

  .cta-row {
    flex-direction: row;
    align-items: center;
    
  }

  .cta-row.reverse {
    flex-direction: row-reverse;
    align-items: center;
  }

  .cta-button {
    min-width: 200px;
    font-size: 16px;
  }


}

@media (max-width: 1300px) {
  .icon-assets {
    width: 95px;
    object-fit: contain;
  }

  .container {
    max-width: 1000px;
  }

  .login-box {
    background: #fff;
    padding: 30px;
    border-radius: 20px;
    width: 320px;
    /* box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15); */
  }

  .title {
    text-align: start;
    margin-bottom: 30px;
    width: 100%;
  }

  .title .logo {
    width: 80px;
    display: block;
    margin: 0 auto 10px auto;
  }

  h1 {
    font-size: 24px;
    margin: 0;
  }

  /* FORM FIELD */
  .field {
    margin-bottom: 12px;
  }

  .wrap-label {
    margin-bottom: 5px;
  }

  .wrap-label label {
    font-size: 12px;
    font-weight: 600;
  }

  .input {
    width: 86%;
    font-size: 13px;
    padding: 12px 12px 12px 30px;
  }

  .input:focus {
    border-color: #7db8ff;
    box-shadow: 0 0 6px rgba(125, 184, 255, 0.4);
  }

  .btn {
    font-size: 13px;
    padding: 13px;
  }

  .partner {
    position: fixed;
    bottom: 10px;
    right: 30px;
    display: flex;
    align-items: center;
    gap: 15px;
    flex-wrap: nowrap;
  }

  .partner-img {
    width: 90px;
    object-fit: contain;
  }
  .partner-aws {
    width: 30px;
    object-fit: contain;
  }
}

/* RESPONSIVE */
@media (max-width: 900px) {
  body {
    height: auto;
    overflow-y: auto; /* scroll ON for tablet & phone */
    padding: 0px;
    align-items: flex-start;
    /* background-image: url("assets/images/bg-phone.png"); */
  }

  .partner {
    display: none;
  }

   .input {
    width: 87%;
    
  }
  .partner-img {
    width: 120px;
    object-fit: contain;
  }
  .partner-aws {
    width: 50px;
    object-fit: contain;
  }

  .container {
    flex-direction: column;
    gap: 25px;
    padding: 20px;
    align-items: center;
  }

  .assets {
    order: 2;
    grid-template-columns: repeat(2, 1fr);
    max-width: 400px;
  }

  .icon-assets {
    width: 160px;
  }

  .login-box {
    order: 1;
    width: 100%;
    max-width: 340px;
  }

  @media (max-width: 600px) {
    .assets {
      grid-template-columns: repeat(2, 1fr);
    }
    .login-box {
      background: #fff;
      padding: 40px;
      border-radius: 20px;
      width: 100%;
      /* max-width: 320px; */

      /* box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15); */
    }

    .partner {
      position: static;
      width: 100%;
      justify-content: center;
      flex-wrap: wrap;
      padding-bottom: 20px;
    }

    .partner-img {
      width: 110px;
      object-fit: contain;
    }
    .partner-aws {
      width: 50px;
      object-fit: contain;
    }

    .title {
      text-align: start;
      margin-top: 10px;
    }

      .cta-row {
    align-items: flex-start;
    
  }

  }
}
